com.google.gwt.i18n.client

## Class DateTimeFormatInfoAdapter

- java.lang.Object
- - com.google.gwt.i18n.shared.DefaultDateTimeFormatInfo
  - - com.google.gwt.i18n.client.DefaultDateTimeFormatInfo
    - - com.google.gwt.i18n.client.DateTimeFormatInfoAdapter

- All Implemented Interfaces:
    DateTimeFormatInfo

      class DateTimeFormatInfoAdapter
      extends DefaultDateTimeFormatInfo

  Adapter that makes a `DateTimeConstants` implementation suitable for use with something that wants a `DateTimeFormatInfo`. Values not present in `DateTimeConstants` receive default values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTimeFormatInfoAdapter(DateTimeConstants dtc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `ampms()` Returns array of strings containing abbreviations for Ante Meridiem and Post Meridiem.
    `java.lang.String` | `dateFormatFull()` Returns a "full" date format.
    `java.lang.String` | `dateFormatLong()` Returns a "long" date format.
    `java.lang.String` | `dateFormatMedium()` Returns a "medium" date format.
    `java.lang.String` | `dateFormatShort()` Returns a "short" date format.
    `java.lang.String[]` | `erasFull()` Returns an array of the full era names.
    `java.lang.String[]` | `erasShort()` Returns abbreviations of the era names.
    `int` | `firstDayOfTheWeek()` Returns the day which generally comes first in a weekly calendar view, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.
    `java.lang.String[]` | `monthsFull()` Returns an array of full month names.
    `java.lang.String[]` | `monthsFullStandalone()` Returns an array of month names for use in a stand-alone context.
    `java.lang.String[]` | `monthsNarrow()` Returns an array of the shortest abbreviations for months, typically a single character and not guaranteed to be unique.
    `java.lang.String[]` | `monthsNarrowStandalone()` Returns an array of the shortest abbreviations for months suitable for use in a stand-alone context, typically a single character and not guaranteed to be unique.
    `java.lang.String[]` | `monthsShort()` Returns an array of month abbreviations.
    `java.lang.String[]` | `monthsShortStandalone()` Returns an array of month abbreviations, suitable for use in a stand-alone context.
    `java.lang.String[]` | `quartersFull()` Returns an array of full quarter names.
    `java.lang.String[]` | `quartersShort()` Returns an array of abbreviations for quarters.
    `java.lang.String` | `timeFormatFull()` Returns a "full" time format.
    `java.lang.String` | `timeFormatLong()` Returns a "long" time format.
    `java.lang.String` | `timeFormatMedium()` Returns a "medium" time format.
    `java.lang.String` | `timeFormatShort()` Returns a "short" time format.
    `java.lang.String[]` | `weekdaysFull()` Returns an array of the full names of weekdays.
    `java.lang.String[]` | `weekdaysFullStandalone()` Returns an array of the full names of weekdays, suitable for use in a stand-alone context.
    `java.lang.String[]` | `weekdaysNarrow()` Returns an array of the shortest abbreviations for weekdays, typically a single character and not guaranteed to be unique.
    `java.lang.String[]` | `weekdaysNarrowStandalone()` Returns an array of the shortest abbreviations for weekdays suitable for use in a stand-alone context, typically a single character and not guaranteed to be unique.
    `java.lang.String[]` | `weekdaysShort()` Returns an array of abbreviations for weekdays.
    `java.lang.String[]` | `weekdaysShortStandalone()` Returns an array of abbreviations for weekdays, suitable for use in a stand-alone context.
    `int` | `weekendEnd()` Returns the day which ends the weekend, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.
    `int` | `weekendStart()` Returns the day which starts the weekend, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.

    - ### Methods inherited from class com.google.gwt.i18n.shared.DefaultDateTimeFormatInfo

      `dateFormat, dateTime, dateTimeFull, dateTimeLong, dateTimeMedium, dateTimeShort, formatDay, formatHour12Minute, formatHour12MinuteSecond, formatHour24Minute, formatHour24MinuteSecond, formatMinuteSecond, formatMonthAbbrev, formatMonthAbbrevDay, formatMonthFull, formatMonthFullDay, formatMonthFullWeekdayDay, formatMonthNumDay, formatYear, formatYearMonthAbbrev, formatYearMonthAbbrevDay, formatYearMonthFull, formatYearMonthFullDay, formatYearMonthNum, formatYearMonthNumDay, formatYearMonthWeekdayDay, formatYearQuarterFull, formatYearQuarterShort, timeFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.i18n.shared.DateTimeFormatInfo

      `dateFormat, dateTime, dateTimeFull, dateTimeLong, dateTimeMedium, dateTimeShort, formatDay, formatHour12Minute, formatHour12MinuteSecond, formatHour24Minute, formatHour24MinuteSecond, formatMinuteSecond, formatMonthAbbrev, formatMonthAbbrevDay, formatMonthFull, formatMonthFullDay, formatMonthFullWeekdayDay, formatMonthNumDay, formatYear, formatYearMonthAbbrev, formatYearMonthAbbrevDay, formatYearMonthFull, formatYearMonthFullDay, formatYearMonthNum, formatYearMonthNumDay, formatYearMonthWeekdayDay, formatYearQuarterFull, formatYearQuarterShort, timeFormat`

- - ### Constructor Detail

    - #### DateTimeFormatInfoAdapter

          public DateTimeFormatInfoAdapter(DateTimeConstants dtc)

  - ### Method Detail

    - #### ampms

          public java.lang.String[] ampms()

      Description copied from interface: `DateTimeFormatInfo`
      Returns array of strings containing abbreviations for Ante Meridiem and Post Meridiem.
      Specified by:
        `ampms` in interface `DateTimeFormatInfo`
      Overrides:
        `ampms` in class `DefaultDateTimeFormatInfo`

    - #### dateFormatFull

          public java.lang.String dateFormatFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "full" date format.
      Specified by:
        `dateFormatFull` in interface `DateTimeFormatInfo`
      Overrides:
        `dateFormatFull` in class `DefaultDateTimeFormatInfo`

    - #### dateFormatLong

          public java.lang.String dateFormatLong()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "long" date format.
      Specified by:
        `dateFormatLong` in interface `DateTimeFormatInfo`
      Overrides:
        `dateFormatLong` in class `DefaultDateTimeFormatInfo`

    - #### dateFormatMedium

          public java.lang.String dateFormatMedium()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "medium" date format.
      Specified by:
        `dateFormatMedium` in interface `DateTimeFormatInfo`
      Overrides:
        `dateFormatMedium` in class `DefaultDateTimeFormatInfo`

    - #### dateFormatShort

          public java.lang.String dateFormatShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "short" date format.
      Specified by:
        `dateFormatShort` in interface `DateTimeFormatInfo`
      Overrides:
        `dateFormatShort` in class `DefaultDateTimeFormatInfo`

    - #### erasFull

          public java.lang.String[] erasFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the full era names.
      Specified by:
        `erasFull` in interface `DateTimeFormatInfo`
      Overrides:
        `erasFull` in class `DefaultDateTimeFormatInfo`

    - #### erasShort

          public java.lang.String[] erasShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns abbreviations of the era names.
      Specified by:
        `erasShort` in interface `DateTimeFormatInfo`
      Overrides:
        `erasShort` in class `DefaultDateTimeFormatInfo`

    - #### firstDayOfTheWeek

          public int firstDayOfTheWeek()

      Description copied from interface: `DateTimeFormatInfo`
      Returns the day which generally comes first in a weekly calendar view, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.
      Specified by:
        `firstDayOfTheWeek` in interface `DateTimeFormatInfo`
      Overrides:
        `firstDayOfTheWeek` in class `DefaultDateTimeFormatInfo`

    - #### monthsFull

          public java.lang.String[] monthsFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of full month names.
      Specified by:
        `monthsFull` in interface `DateTimeFormatInfo`
      Overrides:
        `monthsFull` in class `DefaultDateTimeFormatInfo`

    - #### monthsFullStandalone

          public java.lang.String[] monthsFullStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of month names for use in a stand-alone context.
      Specified by:
        `monthsFullStandalone` in interface `DateTimeFormatInfo`
      Overrides:
        `monthsFullStandalone` in class `DefaultDateTimeFormatInfo`

    - #### monthsNarrow

          public java.lang.String[] monthsNarrow()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the shortest abbreviations for months, typically a single character and not guaranteed to be unique.
      Specified by:
        `monthsNarrow` in interface `DateTimeFormatInfo`
      Overrides:
        `monthsNarrow` in class `DefaultDateTimeFormatInfo`

    - #### monthsNarrowStandalone

          public java.lang.String[] monthsNarrowStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the shortest abbreviations for months suitable for use in a stand-alone context, typically a single character and not guaranteed to be unique.
      Specified by:
        `monthsNarrowStandalone` in interface `DateTimeFormatInfo`
      Overrides:
        `monthsNarrowStandalone` in class `DefaultDateTimeFormatInfo`

    - #### monthsShort

          public java.lang.String[] monthsShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of month abbreviations.
      Specified by:
        `monthsShort` in interface `DateTimeFormatInfo`
      Overrides:
        `monthsShort` in class `DefaultDateTimeFormatInfo`

    - #### monthsShortStandalone

          public java.lang.String[] monthsShortStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of month abbreviations, suitable for use in a stand-alone context.
      Specified by:
        `monthsShortStandalone` in interface `DateTimeFormatInfo`
      Overrides:
        `monthsShortStandalone` in class `DefaultDateTimeFormatInfo`

    - #### quartersFull

          public java.lang.String[] quartersFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of full quarter names.
      Specified by:
        `quartersFull` in interface `DateTimeFormatInfo`
      Overrides:
        `quartersFull` in class `DefaultDateTimeFormatInfo`

    - #### quartersShort

          public java.lang.String[] quartersShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of abbreviations for quarters.
      Specified by:
        `quartersShort` in interface `DateTimeFormatInfo`
      Overrides:
        `quartersShort` in class `DefaultDateTimeFormatInfo`

    - #### timeFormatFull

          public java.lang.String timeFormatFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "full" time format.
      Specified by:
        `timeFormatFull` in interface `DateTimeFormatInfo`
      Overrides:
        `timeFormatFull` in class `DefaultDateTimeFormatInfo`

    - #### timeFormatLong

          public java.lang.String timeFormatLong()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "long" time format.
      Specified by:
        `timeFormatLong` in interface `DateTimeFormatInfo`
      Overrides:
        `timeFormatLong` in class `DefaultDateTimeFormatInfo`

    - #### timeFormatMedium

          public java.lang.String timeFormatMedium()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "medium" time format.
      Specified by:
        `timeFormatMedium` in interface `DateTimeFormatInfo`
      Overrides:
        `timeFormatMedium` in class `DefaultDateTimeFormatInfo`

    - #### timeFormatShort

          public java.lang.String timeFormatShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "short" time format.
      Specified by:
        `timeFormatShort` in interface `DateTimeFormatInfo`
      Overrides:
        `timeFormatShort` in class `DefaultDateTimeFormatInfo`

    - #### weekdaysFull

          public java.lang.String[] weekdaysFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the full names of weekdays.
      Specified by:
        `weekdaysFull` in interface `DateTimeFormatInfo`
      Overrides:
        `weekdaysFull` in class `DefaultDateTimeFormatInfo`

    - #### weekdaysFullStandalone

          public java.lang.String[] weekdaysFullStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the full names of weekdays, suitable for use in a stand-alone context.
      Specified by:
        `weekdaysFullStandalone` in interface `DateTimeFormatInfo`
      Overrides:
        `weekdaysFullStandalone` in class `DefaultDateTimeFormatInfo`

    - #### weekdaysNarrow

          public java.lang.String[] weekdaysNarrow()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the shortest abbreviations for weekdays, typically a single character and not guaranteed to be unique.
      Specified by:
        `weekdaysNarrow` in interface `DateTimeFormatInfo`
      Overrides:
        `weekdaysNarrow` in class `DefaultDateTimeFormatInfo`

    - #### weekdaysNarrowStandalone

          public java.lang.String[] weekdaysNarrowStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the shortest abbreviations for weekdays suitable for use in a stand-alone context, typically a single character and not guaranteed to be unique.
      Specified by:
        `weekdaysNarrowStandalone` in interface `DateTimeFormatInfo`
      Overrides:
        `weekdaysNarrowStandalone` in class `DefaultDateTimeFormatInfo`

    - #### weekdaysShort

          public java.lang.String[] weekdaysShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of abbreviations for weekdays.
      Specified by:
        `weekdaysShort` in interface `DateTimeFormatInfo`
      Overrides:
        `weekdaysShort` in class `DefaultDateTimeFormatInfo`

    - #### weekdaysShortStandalone

          public java.lang.String[] weekdaysShortStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of abbreviations for weekdays, suitable for use in a stand-alone context.
      Specified by:
        `weekdaysShortStandalone` in interface `DateTimeFormatInfo`
      Overrides:
        `weekdaysShortStandalone` in class `DefaultDateTimeFormatInfo`

    - #### weekendEnd

          public int weekendEnd()

      Description copied from interface: `DateTimeFormatInfo`
      Returns the day which ends the weekend, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.

      Note that this value may be numerically less than `DateTimeFormatInfo.weekendStart()` - for example, `DateTimeFormatInfo.weekendStart()` of 6 and `DateTimeFormatInfo.weekendEnd()` of 0 means Saturday and Sunday are the weekend.

      Specified by:
        `weekendEnd` in interface `DateTimeFormatInfo`
      Overrides:
        `weekendEnd` in class `DefaultDateTimeFormatInfo`

    - #### weekendStart

          public int weekendStart()

      Description copied from interface: `DateTimeFormatInfo`
      Returns the day which starts the weekend, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.
      Specified by:
        `weekendStart` in interface `DateTimeFormatInfo`
      Overrides:
        `weekendStart` in class `DefaultDateTimeFormatInfo`